Get a signed view URL for a card file
GET
/boards/{board}/cards/{card}/files/{file}/view
const url = 'https://projects.work.optidata.cloud/api/boards/1/cards/1/files/example/view';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://projects.work.optidata.cloud/api/boards/1/cards/1/files/example/view \ --header 'Authorization: Bearer <token>'Returns a short-lived signed URL that renders the file in the Optiwork Drive viewer.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”board
required
integer
Board id.
card
required
integer
Card id (must belong to the board).
file
required
string
File identifier (opaque string, not the numeric id).
Responses
Section titled “Responses”Signed viewer URL.
Media typeapplication/json
object
url
string format: uri
Example
{ "url": "https://drive.work.optidata.cloud/view/abc123?signature=..."}Missing, invalid or expired bearer passport.
Media typeapplication/json
object
error
string
Example
{ "error": "JWT passport exception: Missing bearer token in request"}The authenticated user lacks the required board permission.
Media typeapplication/json
object
message
string
Example
{ "message": "This action is unauthorized."}Resource not found, or a nested resource does not belong to its parent in the path.
Media typeapplication/json
object
message
string
Example
{ "message": "Not found."}